Skip to main content
GET
Get company transactions overview

Authorizations

x-api-key
string
header
required

Company API key for authentication

Query Parameters

created_at_from
string<date>
required

Start creation date (inclusive). Local calendar day in time_zone. Format is YYYY-MM-DD.

created_at_to
string<date>
required

End creation date (inclusive). Local calendar day in time_zone. Format is YYYY-MM-DD. Must be later or equal to created_at_from. Max range is 90 days.

time_zone
string
default:America/Sao_Paulo

IANA time zone used to interpret dates and group by local day. Defaults to America/Sao_Paulo.

Response

Overview of company transactions

Overview of merchant transactions grouped by status, with per-payment-method and daily aggregation of the successful ones

by_status
object
required

Statistics for each transaction status. All possible statuses are included, even if count is zero.

by_payment_method
object
required

Statistics of successful transactions (APPROVED, AUTHORIZED) for each payment method. All payment methods are included, even if count is zero.

daily_aggregation
object[]
required

Daily aggregation of successful transactions (APPROVED, AUTHORIZED) only